<?php
	session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Actualizar</title>
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script language="javascript" src="js/funciones.js"></script>

<link href="style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<form name="myform" method="post" action="#">


<div id="div1"><legend id="tarea">Tareas</legend>
  <ul class="glossymenu">
  		<?php
			include ("../BD/conexion_bd.php");
			if(!$conexion)
			{
				die("error al intentar conectar: " .mysql_error());
			}
			$nuevas=0;
			$consulta_nuevas="SELECT Notificado, Empleado_user FROM Tareas_has_Empleado WHERE Empleado_user='".$_SESSION['sesion_usuario']."'";
			$sql_nuevas=mysql_query($consulta_nuevas,$conexion);
			while($rowEmp_nueva=mysql_fetch_assoc($sql_nuevas))
			{
				if($rowEmp_nueva['Notificado']==0)
					$nuevas++;
			}
			if($nuevas==0)
				$desplegar_nuevas="";
			else
				$desplegar_nuevas="(".$nuevas.")";
		?>
        <li><a id="recargado" href="#" onclick="javascript: enviar('nuevas');" ><?php echo "Nuevas ".$desplegar_nuevas;?></a></li>
        <li><a href="#" onclick="javascript: enviar('por_hacer');">Por Hacer</a></li>
        <li><a href="#" onclick="javascript: enviar('completadas');">Completadas</a></li>
        <li><input name="campo_oculto" type="hidden" value="" /></li>
      
        
  </ul>
</div>

<div id="div2">
<div id="contenedor">
<?php
	
	if(!isset($_POST['campo_oculto'])&&(isset($_SESSION['sesion_usuario'])))
		echo "<legend style=\" margin-top:25%; margin-left:20%;font:'Trebuchet MS', Arial, Helvetica, sans-serif; font-size:18px; color:#999; font-style:italic;\">Sistema de Gestión de Actividades</legend>\n";
	if((isset($_POST['campo_oculto']))&&(isset($_SESSION['sesion_usuario'])))
		{
			include ("../BD/conexion_bd.php");
			if(!$conexion)
			{
				die("error al intentar conectar: " .mysql_error());
			}
			mysql_query("SET NAMES 'utf8'");// para configurar acentos y eñes
			switch($_POST['campo_oculto'])
			{
				case 'nuevas':
					$consulta="SELECT * FROM Tareas, Tareas_has_Empleado WHERE Tareas.id=Tareas_has_Empleado.Tareas_id AND Tareas_has_Empleado.Empleado_user='".$_SESSION['sesion_usuario']."' AND Tareas_has_Empleado.Notificado=0 AND Tareas_has_Empleado.Finalizado=0 ORDER BY Tareas.Fecha_Creacion DESC";
					break;
				case 'por_hacer':
					$consulta="SELECT * FROM Tareas, Tareas_has_Empleado WHERE Tareas.id=Tareas_has_Empleado.Tareas_id AND Tareas_has_Empleado.Empleado_user='".$_SESSION['sesion_usuario']."' AND Tareas_has_Empleado.Notificado=1 AND Tareas_has_Empleado.Finalizado=0 ORDER BY Tareas.Fecha_Creacion DESC";
					break;
				case 'completadas':
					$consulta="SELECT * FROM Tareas, Tareas_has_Empleado WHERE Tareas.id=Tareas_has_Empleado.Tareas_id AND Tareas_has_Empleado.Empleado_user='".$_SESSION['sesion_usuario']."' AND Tareas_has_Empleado.Notificado=1 AND Tareas_has_Empleado.Finalizado=1 ORDER BY Tareas.Fecha_Creacion DESC";
					break;
					default:
			}
			$sql=mysql_query($consulta,$conexion);
			$total_registros_tareas=mysql_num_rows($sql);
			if($total_registros_tareas>0)// si hay tareas nuevas, por hacer o completadas
			{
				switch($_POST['campo_oculto'])
				{
					case 'nuevas':
						echo "<legend style=\"font-size:28px; color:#CCC; font-family:'Palatino Linotype', 'Book Antiqua', Palatino, serif;\">Nuevas</legend><br />\n";
						break;
					case 'por_hacer':
						echo "<legend style=\"font-size:28px; color:#CCC; font-family:'Palatino Linotype', 'Book Antiqua', Palatino, serif;\">Por Hacer</legend><br />\n";
						echo "<legend style=\" font:'Trebuchet MS', Arial, Helvetica, sans-serif; font-size:14px; color:#999; font-style:italic;\">Usted tiene  ".$total_registros_tareas." tarea(s) por hacer...</legend>\n";
						echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\">\n";
						break;
					case 'completadas':
						echo "<legend style=\"font-size:28px; color:#CCC; font-family:'Palatino Linotype', 'Book Antiqua', Palatino, serif;\">Completadas</legend><br />\n";
						echo "<legend style=\" font:'Trebuchet MS', Arial, Helvetica, sans-serif; font-size:14px; color:#999; font-style:italic;\">Usted tiene  ".$total_registros_tareas." tarea(s) ".$_POST['campo_oculto']."...</legend>\n";
						echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\">\n";
						break;
					default:
				}
				
				$colors=1;
				while($rowEmp=mysql_fetch_assoc($sql))
				{
					$signo=$colors*(-1);
					$consulta_sub="SELECT Sub_Tareas.id FROM Sub_Tareas WHERE Sub_Tareas.Tareas_id=".$rowEmp['id'];
					$sql_sub=mysql_query($consulta_sub,$conexion);
					$total_registros=mysql_num_rows($sql_sub);
					if($total_registros==0)//no existen subtareas, desplegar tarea
					{
								echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$colors\" onClick=\"showhide('$signo','$colors')\">[+]</a> <label id=\"nombre_tarea\">".$rowEmp['Nombre_Tarea']."</label> \n"; 
								echo "<div style=\"display:none;\" id=\"$signo\">\n"; 
								echo "<table class=\"tabla_tarea\" id=\"$signo\"    border=\"0\" >\n"; 
								echo "  <tr>\n"; 
								echo "    <td colspan=\"3\" class=\"fecha_creacion\">Fecha de Creacion: ".substr($rowEmp['Fecha_Creacion'],8,2)."/".substr($rowEmp['Fecha_Creacion'],5,2)."/".substr($rowEmp['Fecha_Creacion'],0,4)."&nbsp;&nbsp;".substr($rowEmp['Fecha_Creacion'],-8,8)."</td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "    <td class=\"descripcion\" colspan=\"3\"><label>Descripcion:</label> <br>\n"; 
								echo       	$rowEmp['Descripcion_Detallada']; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "        <td class=\"fechas_tarea\"><label>Fecha de Inicio: </label>".substr($rowEmp['Fecha_Inicio'],-2,2)."/".substr($rowEmp['Fecha_Inicio'],5,2)."/".substr($rowEmp['Fecha_Inicio'],0,4)."<br>\n"; 
												if(substr($rowEmp['Fecha_Termino'],0,4)=="0000")
													$fecha_termino="No Def.";
												else
													$fecha_termino=substr($rowEmp['Fecha_Termino'],-2,2)."/".substr($rowEmp['Fecha_Termino'],5,2)."/".substr($rowEmp['Fecha_Termino'],0,4);
													
								echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."\n"; 
								echo "        </td>\n"; 
								echo "       <td class=\"prioridad\">\n"; 
								echo "        	Prioridad: ".$rowEmp['Prioridad']."\n"; 
								echo "        </td>\n"; 
								echo "        <td class=\"prioridad\">\n"; 
								echo "        	"; 
								echo "        </td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr  >\n"; 
											if($rowEmp['Notificado']==0)//nuevas
											{
												echo "<td class=\"ultima_fila\"><input class=\"notified\"  onclick=\"javascript: notificar(".$rowEmp['id'].");\" name=\"not\" id=\"".$rowEmp['id']."not\" type=\"checkbox\" value=\"\" /><label>Notificado</label></td>\n"; 
											}
											else//ya esta notificado
											{
												if($rowEmp['Finalizado'])//completadas
												{
													echo "<td class=\"ultima_fila\"><input name=\"not\" id=\"not\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label>Notificado</label></td>\n"; 
													echo "<td class=\"ultima_fila\"><input name=\"fin\" id=\"fin\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label>Finalizado</label></td>\n";
												}
												 else//por hacer
												 {
													echo "<td class=\"ultima_fila\"><input name=\"not\" id=\"not\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label>Notificado</label></td>\n"; 
													echo "<td class=\"ultima_fila\"><input class=\"finalized\" onclick=\"javascript: finalizar_tarea(".$rowEmp['id'].");\" id=\"".$rowEmp['id']."fin\" name=\"fin\" id=\"fin\" type=\"checkbox\" value=\"\" /><label>Finalizado</label></td>\n";
												 }
											}
								echo "      <td class=\"ultima_fila\">"; 
								echo "      </td>\n"; 
								echo "  </tr>\n"; 
								echo "</table>\n"; 
								echo "</div>\n"; 
								echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\"> \n";
								$colors++;
					}
					else//desplegar tareas con subtareas
					{
								echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$colors\" onClick=\"showhide('$signo','$colors')\">[+]</a> <label id=\"nombre_tarea\">".$rowEmp['Nombre_Tarea']."</label> \n"; 
								echo "<div style=\"display:none;\" id=\"$signo\">\n"; 
								echo "<table class=\"tabla_tarea\" id=\"$signo\"    border=\"0\" >\n"; 
								echo "  <tr>\n"; 
								echo "    <td colspan=\"3\" class=\"fecha_creacion\">Fecha de Creacion: ".substr($rowEmp['Fecha_Creacion'],8,2)."/".substr($rowEmp['Fecha_Creacion'],5,2)."/".substr($rowEmp['Fecha_Creacion'],0,4)."&nbsp;&nbsp;".substr($rowEmp['Fecha_Creacion'],-8,8)."</td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "    <td class=\"descripcion\" colspan=\"3\"><label>Descripcion:</label> <br>\n"; 
								echo       	$rowEmp['Descripcion_Detallada']; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "        <td class=\"fechas_tarea\"><label>Fecha de Inicio: </label>".substr($rowEmp['Fecha_Inicio'],-2,2)."/".substr($rowEmp['Fecha_Inicio'],5,2)."/".substr($rowEmp['Fecha_Inicio'],0,4)."<br>\n"; 
												if(substr($rowEmp['Fecha_Termino'],0,4)=="0000")
													$fecha_termino="No Def.";
												else
													$fecha_termino=substr($rowEmp['Fecha_Termino'],-2,2)."/".substr($rowEmp['Fecha_Termino'],5,2)."/".substr($rowEmp['Fecha_Termino'],0,4);
													
								echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."\n"; 
								echo "        </td>\n"; 
								echo "       <td class=\"prioridad\">\n"; 
								echo "        	Prioridad: ".$rowEmp['Prioridad']."\n"; 
								echo "        </td>\n"; 
								echo "        <td class=\"prioridad\">\n"; 
								echo "        	"; 
								echo "        </td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr  >\n"; 
											if($rowEmp['Notificado']==0)//nuevas
											{
												echo "<td class=\"ultima_fila\"><input class=\"notified\"  onclick=\"javascript: notificar(".$rowEmp['id'].");\" name=\"not\" id=\"".$rowEmp['id']."\" type=\"checkbox\" value=\"\" /><label>Notificado</label></td>\n"; 
											}
											else//ya esta notificado
											{
												if($rowEmp['Finalizado'])//completadas
												{
													echo "<td class=\"ultima_fila\"><input name=\"not\" id=\"not\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label for=\"not\">Notificado</label></td>\n"; 
													echo "<td class=\"ultima_fila\"><input name=\"fin\" id=\"fin\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label for=\"not\">Finalizado</label></td>\n";
												}
												 else//por hacer
												 {
													echo "<td class=\"ultima_fila\"><input name=\"not\" id=\"not\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\"value=\"\" /><label for=\"not\">Notificado</label></td>\n"; 
												 }
											}
								echo "      <td class=\"ultima_fila\">"; 
								echo "      </td>\n"; 
								echo "  </tr>\n"; 
								echo "</table>\n"; 
								
								echo "<div id=\"subtareas\"> \n"; 
								$consulta_subtareas="SELECT * FROM Sub_Tareas WHERE Tareas_id=".$rowEmp['id'];
								$sql_subtareas=mysql_query($consulta_subtareas,$conexion);
								while($row_subtareas=mysql_fetch_assoc($sql_subtareas))
								{
									$colors++;
									$signo=$colors*(-1);
									echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$signo\" onClick=\"showhide('$colors','$signo')\">[+]</a> <label id=\"nombre_tarea\">".$row_subtareas['Nombre_Tarea']."</label> \n"; 
									echo "<table class=\"tabla_subtarea\" id=\"$colors\" style=\"display:none;\"    border=\"0\" >\n"; 
									echo "  <tr>\n"; 
									echo "    <td class=\"descripcion_subtarea\" colspan=\"3\"><label>Descripcion:</label> <br>\n"; 
									echo 		$row_subtareas['Descripcion_Detallada']; 
									echo "  </tr>\n"; 
									echo "	<tr>";
									echo "        <td class=\"fechas_subtarea\"><label>Fecha de Inicio:</label> ".substr($row_subtareas['Fecha_Inicio'],-2,2)."/".substr($row_subtareas['Fecha_Inicio'],5,2)."/".substr($row_subtareas['Fecha_Inicio'],0,4)."<br>\n"; 
														if(substr($row_subtareas['Fecha_Termino'],0,4)=="0000")
															$fecha_termino="No Def.";
														else
															$fecha_termino=substr($row_subtareas['Fecha_Termino'],-2,2)."/".substr($row_subtareas['Fecha_Termino'],5,2)."/".substr($row_subtareas['Fecha_Termino'],0,4);
													
										echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."\n"; 
										echo "        </td>\n"; 
										echo "        <td class=\"prioridad_subtarea\">\n"; 
										echo "        	Prioridad: ".$row_subtareas['Prioridad']."\n"; 
														$consulta_finalizado_subtarea="SELECT id, Finalizado FROM Sub_Tareas WHERE id=".$row_subtareas['id'];
														$sql_finalizado_subtareas=mysql_query($consulta_finalizado_subtarea,$conexion);
														while($row_finalizado_subtareas=mysql_fetch_assoc($sql_finalizado_subtareas))
														{
															$finalizado_subtarea=$row_finalizado_subtareas['Finalizado'];
														}
														if($finalizado_subtarea)//ya esta finalizada, marcar checkbox y deshabilitarlo
															echo "<br><input name=\"fin\" id=\"fin\" type=\"checkbox\" checked=\"checked\" disabled=\"disabled\" value=\"\" /><label for=\"not\">Finalizado</label>";
														else//no se ha finalizado, habilitar checkbox
															if($_POST['campo_oculto']=="nuevas")
																echo "<br><input  onclick=\"javascript: subtarea_finalizar(".$row_subtareas['id'].");\" disabled=\"disabled\" name=\"\" id=\"fin\" type=\"checkbox\" value=\"\" /><label>Finalizado</label>";
															else
																echo "<br><input  onclick=\"javascript: subtarea_finalizar(".$row_subtareas['id'].");\" name=\"\" id=\"fin\" type=\"checkbox\" value=\"\" /><label>Finalizado</label>";
										echo "        </td>\n"; 
										echo "  </tr>\n"; 
									echo "</table>\n";
									echo "<br>\n"; 

								}
								echo "</div>\n"; 
								
								echo "</div>\n"; 
								echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\"> \n";
								$colors++;
					}
				}
			}
			else
			{
				if($_POST['campo_oculto']=="por_hacer")
					echo "<legend style=\" margin-top:25%; margin-left:20%;font:'Trebuchet MS', Arial, Helvetica, sans-serif; font-size:18px; color:#999; font-style:italic;\">No hay tareas por hacer...</legend>\n";
				else
					echo "<legend style=\" margin-top:25%; margin-left:20%;font:'Trebuchet MS', Arial, Helvetica, sans-serif; font-size:18px; color:#999; font-style:italic;\">No hay tareas ".$_POST['campo_oculto']."...</legend>\n";
			}
		}
		mysql_close();
?>
</div>
</div>




  
</form>
</body>
</html>
